Skip to main content
GET
curl
Required ACL: logs

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Headers

X-Algolia-Secure-User-Token
string | null

The X-Algolia-Secure-User-Token.

Path Parameters

agentId
required

The agentId.

Query Parameters

clicked
boolean | null

Filter by conversations with at least one item click.

converted
boolean | null

Filter by conversations with at least one conversion.

endDate
string | null

Filter conversations created before this date (format: YYYY-MM-DD).

feedbackVote
integer | null

Filter by feedback value (requires includeFeedback=true).

Required range: 0 <= x <= 1
hasAlgoliaSearch
boolean | null

Filter by conversations where the search tool was used.

includeFeedback
boolean | null
default:false

Include feedback per conversation.

includeImpactAnalytics
boolean | null
default:false

Include impact analytics (hasView, hasClick, hasConversion) per conversation.

limit
integer
default:20

Items per page.

Required range: 1 <= x <= 100
page
integer
default:1

Page number.

Required range: x >= 1
startDate
string | null

Filter conversations created after this date (format: YYYY-MM-DD).

Response

Successful Response.

data
conversationBaseResponse Ā· object[]
required
pagination
paginationMetadata Ā· object
required
analyticsDegraded
boolean
default:false
Last modified on October 12, 2026